---
# systemd.yml tasks


- name: systemd - config files
  copy: 
    src: "{{ item.src }}"
    dest: "{{ item.dest }}"
  become: yes
  tags: systemd
  with_items:
  - {src: "files/logind.conf", dest: "/etc/systemd/logind.conf"}
  - {src: "files/slock.service", dest: "/etc/systemd/system/slock.service"}

- name: systemd - enable slock on suspend resume
  systemd:
    name: slock
    enabled: yes
    daemon_reload: yes
  become: yes
  tags: systemd
